Skip to main content
GET
/
v1
/
crypto
/
detail
Get Token Metadata Profile by Symbol
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/detail \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "category": "<string>",
      "contracts": [
        {
          "address": "<string>",
          "chain": "<string>"
        }
      ],
      "description": "<string>",
      "logo": "<string>",
      "name": "<string>",
      "symbol": "<string>",
      "urls": {
        "explorer": [
          "<string>"
        ],
        "reddit": [
          "<string>"
        ],
        "technical_doc": [
          "<string>"
        ],
        "twitter": [
          "<string>"
        ],
        "website": [
          "<string>"
        ]
      }
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Token symbol

Response

Success

data
object[]
error
object
pagination
any
request_id
string
success
boolean